com.google.gwt.editor.client.testing

## Class FakeLeafValueEditor<T>

- java.lang.Object
- - com.google.gwt.editor.client.testing.FakeLeafValueEditor<T>

Type Parameters:
  `T` - the type not being edited

All Implemented Interfaces:
  Editor<T>, LeafValueEditor<T>, TakesValue<T>

    public class FakeLeafValueEditor<T>
    extends java.lang.Object
    implements LeafValueEditor<T>

A no-op Editor.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.editor.client.Editor

`Editor.Ignore, Editor.Path`

### Constructor Summary

Constructors
Constructor and Description
`FakeLeafValueEditor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getValue()` Returns the current value.
`void` `setValue(T value)` Sets the value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FakeLeafValueEditor

    public FakeLeafValueEditor()

### Method Detail

#### getValue

    public T getValue()

Description copied from interface: `TakesValue`
Returns the current value.

Specified by:
  `getValue` in interface `TakesValue<T>`
Returns:
  the value as an object of type V
See Also:
  `TakesValue.setValue(V)`

#### setValue

    public void setValue(T value)

Description copied from interface: `TakesValue`
Sets the value.

Specified by:
  `setValue` in interface `TakesValue<T>`
Parameters:
  `value` - a value object of type V
See Also:
  `TakesValue.getValue()`